org.bdgenomics.adam.projections

# DatabaseVariantAnnotationField

#### object DatabaseVariantAnnotationField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DatabaseVariantAnnotationField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### val alternateAminoAcid: SchemaVal

12. #### val ancestralAllele: SchemaVal

13. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### val clinicalSignificance: SchemaVal

16. #### val clinvarId: SchemaVal

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### val cosmicId: SchemaVal

19. #### val dbsnpId: SchemaVal

20. #### val ensemblGeneId: SchemaVal

21. #### val ensemblTranscriptIds: SchemaVal

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### val geneSymbol: SchemaVal

26. #### val gerpNr: SchemaVal

27. #### val gerpRs: SchemaVal

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### val hgvs: SchemaVal

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### final def maxId: Int

    Definition Classes
      Enumeration

33. #### val mutationTasterPred: SchemaVal

34. #### val mutationTasterScore: SchemaVal

35. #### val mutationTasterScoreConverted: SchemaVal

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

38. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### val omimId: SchemaVal

42. #### val phylop: SchemaVal

43. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

44. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

45. #### val referenceAminoAcid: SchemaVal

46. #### val siftPred: SchemaVal

47. #### val siftScore: SchemaVal

48. #### val siftScoreConverted: SchemaVal

49. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

50. #### val thousandGenomesAlleleCount: SchemaVal

51. #### val thousandGenomesAlleleFrequency: SchemaVal

52. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

53. #### def values: ValueSet

    Definition Classes
      Enumeration

54. #### val variant: SchemaVal

55. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped